[Optipng] No executable found at "/usr/bin/optipng"

Discussion in 'ISPConfig 3 Priority Support' started by ktownmods, Aug 23, 2019.

  1. ktownmods

    ktownmods Member

    Hey, i have an plugin that compress the png, jpeg and gif pictures in my forum.

    But if i try to use /usr/bin/gifsicle this error come:

    Code:
    2019/08/23 16:18:08 [error] 1242#1242: *6779 FastCGI sent in stderr: "PHP message: PHP Warning:  is_executable(): open_basedir restriction in effect. File(/usr/bin/gifsicle) is not within the allowed path(s): (/var/www/clients/client0/web1/web:/var/www/clients/client0/web1/private:/var/www/clients/client0/web1/tmp:/var/www/example.de/web:/srv/www/example.de/web:/usr/share/php5:/usr/share/php:/tmp:/usr/share/phpmyadmin:/etc/phpmyadmin:/var/lib/phpmyadmin:/dev/random:/dev/urandom) in /var/www/clients/client0/web1/web/test.php on line 6" while reading response header from upstream, client: 141.101.69.38, server: example.de, request: "GET /test.php HTTP/1.1", upstream: "fastcgi://unix:/var/lib/php7.2-fpm/web1.sock:", host: "example.de"
    THX
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Add:

    Code:
    :/usr/bin/gifsicle
    at the end of the open basedir string on the options tab of the website and ensure that you have the gifsicle program installed in that path.
     

Share This Page